Package org.silverpeas.mobile.client.components

## Class IframePage

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.PageContent
        - - org.silverpeas.mobile.client.components.IframePage

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.Event.NativePreviewHandler`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `View`, `PageEventHandler`, `WindowEventHandler`

      public class IframePage
      extends PageContent
      implements View, WindowEventHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `clicked, pageTitle`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IframePage​(String url)` |
    `IframePage​(String url, String html)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `back()` |
    `void` | `onOrientationChange​(OrientationChangeEvent event)` |
    `void` | `setSize​(String width, String height)` |
    `protected void` | `setViewport()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `addActionMenu, addActionShortcut, changeSelectionNumber, clearActions, clickGesture, finishLoadingData, getApp, getPageTitle, hide, isSelectionMode, isVisible, loadedDataEvent, loadedMoreDataEvent, onPreviewNativeEvent, receiveEvent, removeActionMenu, removeActionShortcut, setApp, setPageTitle, setSelectionMode, setVisible, show, stop`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.mobile.client.common.app.View

      `stop`

- - ### Constructor Detail

    - #### IframePage

          public IframePage​(String url)

    - #### IframePage

          public IframePage​(String url,
                            String html)

  - ### Method Detail

    - #### setSize

          public void setSize​(String width,
                              String height)

      Overrides:
        `setSize` in class `com.google.gwt.user.client.ui.UIObject`

    - #### setViewport

          protected void setViewport()

      Overrides:
        `setViewport` in class `PageContent`

    - #### back

          public void back()

      Overrides:
        `back` in class `PageContent`

    - #### onOrientationChange

          public void onOrientationChange​(OrientationChangeEvent event)

      Specified by:
        `onOrientationChange` in interface `WindowEventHandler`